%define		_minver		2450

Name:           skychart
Version:        3.8
Release:        %mkrel 1
Summary:        Planetarium software for the advanced amateur astronomer

Group:          Sciences/Astronomy
License:        GPLv2+
URL:            http://www.ap-i.net/skychart/start
Source0:        http://sourceforge.net/projects/skychart/files/1-%20cdc-skychart/version_3.8/%{name}-%{version}-%{_minver}-src.tar.xz
Source1:        http://download.origo.ethz.ch/skychart/2443/data_jpleph.tgz
Source2:	getdoc.sh
Source3:	documentation.tar.gz
#------------------------------------
BuildRequires:  lazarus
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  gtk2-devel
BuildRequires:	wget
#------------------------------------
Requires:       xdg-utils

%description
This program enables you to draw sky charts, making use of the data in 16
catalogs of stars and nebulae. In addition the position of planets,
asteroids and comets are shown.

The purpose of this program is to prepare different sky maps for a
particular observation. A large number of parameters help you to choose
specifically or automatically which catalogs to use, the colour and the
dimension of stars and nebulae, the representation of planets, the display
of labels and coordinate grids, the superposition of pictures, the
condition of visibility and more. All these features make this celestial
atlas more complete than a conventional planetarium.

%files
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data
%{_datadir}/%{name}/cat
%{_datadir}/%{name}/doc
%exclude /usr/share/%{name}/doc/wiki_doc
%exclude /usr/share/doc/%{name}/changelog
%exclude /usr/share/doc/%{name}/copyright

#-----------------------------------------------------------------

%package wikidoc
Summary:	wiki documentation for %{name}
License:	Creative Commons, GNUFDL
Suggests:	%{name}
BuildArch:	noarch

%description wikidoc
The wiki documentation of skychart, translated into various
languages.

skychart can do the job without this package but you'll receive an error 
from the application when trying to getting help.

%files wikidoc
%{_datadir}/%{name}/doc/wiki_doc

%prep
%setup -q -n %{name}-%{version}-%{_minver}-src

find skychart -type f -print0 |xargs -0 chmod 644

find . -name "*.exe" -type f -delete

cp -p %{S:1} BaseData/

tar -zxf %{S:3}

# Fix exotic EOL encodings
dos2unix tools/doc/html_doc/en/feature_class_fichiers/common.css
dos2unix tools/doc/html_doc/en/feature_class_fichiers/custom.css
dos2unix tools/doc/releasenotes*.txt

%build
%_configure lazarus=%{_libdir}/lazarus prefix=%{_prefix}

# We build these separately so that we can apply optflags
make arch_flags="%{optflags}" -C skychart/library/getdss
make arch_flags="%{optflags}" -C skychart/library/plan404

# not concurrency-safe
make 

%install
rm -rf %{buildroot}

make install PREFIX=%{buildroot}%{_prefix}
make install install_data PREFIX=%{buildroot}%{_prefix}

# Fix multilib path
[ %{_lib} = lib ] || %__mv %{buildroot}%{_prefix}/{lib,%{_lib}}

# Fix debuginfo
chmod +x %{buildroot}%{_libdir}/*

# Documentation / Wiki
mv tools/doc/* %{buildroot}%{_datadir}/%{name}/doc/

# Menu entry
desktop-file-validate %{buildroot}%{_datadir}/applications/skychart.desktop



%changelog
* Mon Jul 29 2013 billybot <billybot> 3.8-1pclos2013
- import into pclos
